﻿@model RealEstate.Models.SignUpModel
@{
    Layout = null;
}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Sign Up</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!--===============================================================================================-->
    <link rel="icon" type="image/png" href="~/images/favicon.ico" />
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Content/bootstrap4/bootstrap.min.css" />
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Content/font-awesome-4.7.0/css/font-awesome.css" />
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/fonts/iconic/css/material-design-iconic-font.min.css" />
    <!--===============================================================================================-->
    <link href="~/Content/OwlCarousel2-2.2.1/animate.css" rel="stylesheet" />
    <!--===============================================================================================-->
    <link href="~/Content/css-hamburgers/hamburgers.min.css" rel="stylesheet" type="text/css" />
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Content/animsition/css/animsition.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Content/select2/select2.min.css">
    <!--===============================================================================================-->
    <link href="~/Content/Application/util.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/Application/main.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/Application/layout.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/css/custom.css" rel="stylesheet" type="text/css" />
    <!--===============================================================================================-->
    <!--  google Font  -->
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@400;500;600;700;800;900&display=swap" rel="stylesheet">




</head>
<body>
    <div class="loading">
        <div class="loader">
            <div class="loading-bar"></div>
            <div class="loading-bar"></div>
            <div class="loading-bar"></div>
            <div class="loading-bar"></div>
        </div>
    </div>
    <section class="login-section">
        <div class="container">
            <div class="login-box">
                <div class="row h-100">
                    <div class="col-4">
                        <div class="logo-box">
                            <div class="tagline ml-5">
                                <h2 class="text-white mt-3">
                                    <strong>BRKS</strong> 
                                </h2>
                            </div>
                        </div>
                    </div>
                    <div class="col-8">
                        <div class="login-form signup h-100">
                            @using (Html.BeginForm("SignUp", "Account", FormMethod.Post))
                            {
                            <form class="validate-form">
                                <div class="form-group validate-input">
                                    <label for="exampleInputName">Name</label>
                                    @*<input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="user@company.com">*@
                                    @Html.TextBoxFor(model => model.Name, new { @class = "form-control", @id = "exampleInputName", placeholder = "Type your name" })
                                    @Html.ValidationMessageFor(m => m.Name, "", new { @class = "error" })

                                </div>
                                <div class="form-group validate-input">
                                    <label for="exampleInputEmail">Email</label>
                                    @Html.TextBoxFor(model => model.Email, new { @class = "form-control", @id = "exampleInputEmail", placeholder = "Type your email" })
                                    @Html.ValidationMessageFor(m => m.Email, "", new { @class = "error" })
                                </div>
                                <div class="form-group validate-input">
                                    <label for="exampleInputPhone">Phone</label>
                                    @Html.TextBoxFor(model => model.Phone, new { @class = "form-control",@id= "exampleInputPhone", placeholder = "+91 " })
                                    @Html.ValidationMessageFor(m => m.Phone, "", new { @class = "error" })
                                </div>
                                <button type="submit" onclick="showloader(true);" class="btn btn-login">Sign Up</button>
                                <hr />
                                <div class="form-group text-center">
                                    Already have an Account ? please <a href="/Account/Index" class="mt-1 create-account">Login</a>
                                </div>
                            </form>
                            }

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>



    <!--===============================================================================================-->
    <script src="~/Scripts/jquery-3.2.1.min.js"></script>
    <!--===============================================================================================-->
    <script src="~/Content/animsition/js/animsition.min.js"></script>
    <!--===============================================================================================-->
    <script src="~/Scripts/bootstrap4/popper.js"></script>
    <script src="~/Scripts/bootstrap4/bootstrap.min.js"></script>
    <!--===============================================================================================-->
    <script src="vendor/select2/select2.min.js"></script>
    <!--===============================================================================================-->



    <script type="text/javascript">

        (function ($) {
            "use strict";


            /*==================================================================
           [ Focus input ]*/
            $('.input100').each(function () {
                $(this).on('blur', function () {
                    if ($(this).val().trim() != "") {
                        $(this).addClass('has-val');
                    }
                    else {
                        $(this).removeClass('has-val');
                    }
                })
            })


            /*==================================================================
            [ Validate ]*/
            var input = $('.validate-input .input100');

            $('.validate-form').on('submit', function () {
                var check = true;

                for (var i = 0; i < input.length; i++) {
                    if (validate(input[i]) == false) {
                        showValidate(input[i]);
                        check = false;
                    }
                }

                return check;
            });


            $('.validate-form .input100').each(function () {
                $(this).focus(function () {
                    hideValidate(this);
                });
            });

            function validate(input) {
                if ($(input).attr('type') == 'email' || $(input).attr('name') == 'email') {
                    if ($(input).val().trim().match(/^([a-zA-Z0-9_\-\.]+)((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{1,5}|[0-9]{1,3})(\]?)$/) == null) {
                        return false;
                    }
                }
                else {
                    if ($(input).val().trim() == '') {
                        return false;
                    }
                }
            }

            function showValidate(input) {
                var thisAlert = $(input).parent();

                $(thisAlert).addClass('alert-validate');
            }

            function hideValidate(input) {
                var thisAlert = $(input).parent();

                $(thisAlert).removeClass('alert-validate');
            }



        })(jQuery);
    </script>

</body>
</html>


<script type="text/javascript">
        var Message = '@(TempData["Message"])';
        if (Message!="")
        alert(Message);




    function showloader(param) {
        if (param) {
            $(".loading").css('display', 'flex');
        }
        else {
            $(".loading").css('display', 'none');
        }
    }
</script>

